Pinned apps
Apps pinned to the launcher rail.
| Method | Path | Summary |
|---|---|---|
| GET | /v1/user/faq/:service | Help articles for an app |
| GET | /user/pins | List your pinned apps |
| POST | /user/pins | Pin an app |
| DELETE | /user/pins/:pin_key | Unpin an app |
#Help articles for an app
GET
/v1/user/faq/:serviceIf you want this protected, add authenticateJWT like your example: router.get("/faq/:service", authenticateJWT, async (req, res) => {
- Address
https://<your-org>.brambleit.cloud/api/v1/user/faq/:service- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Path parameters
| Name | Type | Description |
|---|---|---|
servicerequired | string |
Response 200
| Field | Type | Description |
|---|---|---|
result | any |
Example response
JSON
{
"result": null
}Errors
| Status | Message |
|---|---|
| 400 | Service is required |
| 404 | Data not found |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/user/faq/string' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/user/faq/string', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/user/faq/string",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/user/faq/string' -Headers $headers#List your pinned apps
GET
/user/pinsPinned apps (Hub rail navigation). pin_key is either a real app's application_link (e.g. "drive") or the literal string "admin" — see BRM-Schemas/2026-07-28_user_pinned_apps.sql for why.
- Address
https://<your-org>.brambleit.cloud/api/user/pins- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
result | array of string |
Example response
JSON
{
"result": [
"string"
]
}Errors
| Status | Message |
|---|---|
| 404 | User not found |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/user/pins' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/user/pins', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/user/pins",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/user/pins' -Headers $headers#Pin an app
POST
/user/pins- Address
https://<your-org>.brambleit.cloud/api/user/pins- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Request body JSON
| Name | Type | Description |
|---|---|---|
pin_key | string | The app or link to pin. |
Response 200
| Field | Type | Description |
|---|---|---|
message | string |
Example response
JSON
{
"message": "Saved"
}Errors
| Status | Message |
|---|---|
| 400 | pin_key is required |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/user/pins' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"pin_key":"…"}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/user/pins', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"pin_key":"…"}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/user/pins",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"pin_key":"…"},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"pin_key":"…"}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/user/pins' -Headers $headers -ContentType 'application/json' -Body $body#Unpin an app
DELETE
/user/pins/:pin_key- Address
https://<your-org>.brambleit.cloud/api/user/pins/:pin_key- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Path parameters
| Name | Type | Description |
|---|---|---|
pin_keyrequired | string |
Response 200
| Field | Type | Description |
|---|---|---|
message | string |
Example response
JSON
{
"message": "Saved"
}Example request
Bash
curl -X DELETE 'https://<your-org>.brambleit.cloud/api/user/pins/%E2%80%A6' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/user/pins/%E2%80%A6', {
method: 'DELETE',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.delete(
"https://<your-org>.brambleit.cloud/api/user/pins/%E2%80%A6",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method DELETE -Uri 'https://<your-org>.brambleit.cloud/api/user/pins/%E2%80%A6' -Headers $headersWas this page helpful?
Thanks for your feedback.